Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.parse
Class EvolpParserTest2

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.struct.util.LpPrettyPrinterTest
                  lp.parse.LpParserTest2
                      lp.parse.EvolpParserTest2

All Implemented Interfaces:
  Test

    public class EvolpParserTest2

extends LpParserTest2

Contains a test of the `EvolpParser` class that reuses data from `LpPrettyPrinterTest`.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `EvolpParser`, `LpPrettyPrinterTest`

Field Summary

Fields inherited from class lp.parse.LpParserTest2
`parser`

Fields inherited from class lp.struct.util.LpPrettyPrinterTest
`expContents, expContents2, pp, pp2, r`

Constructor Summary
`EvolpParserTest2(String testName)` A default test case constructor.

Method Summary

Methods inherited from class lp.parse.LpParserTest2
`doTest`

Methods inherited from class lp.struct.util.LpPrettyPrinterTest
`setUp, testAppendCompoundTerm, testAppendConstant, testAppendFunction, testAppendLiteral, testAppendNull, testAppendPredicate, testAppendRule, testAppendVariable, testAsString`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvolpParserTest2

    public EvolpParserTest2(String testName)

  A default test case constructor.

  Parameters:
    `testName` - the name of the test case

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD